RussianLetterTokenizer (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.ru.RussianLetterTokenizer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ru
Class RussianLetterTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.CharTokenizer
                      org.apache.lucene.analysis.ru.RussianLetterTokenizer

All Implemented Interfaces:
  Closeable

Deprecated. Use `StandardTokenizer` instead, which has the same functionality. This filter will be removed in Lucene 5.0

    @Deprecated
    public class RussianLetterTokenizer

extends org.apache.lucene.analysis.CharTokenizer

A RussianLetterTokenizer is a `Tokenizer` that extends `LetterTokenizer` by also allowing the basic Latin digits 0-9.

You must specify the required `Version` compatibility when creating `RussianLetterTokenizer`:

- As of 3.1, `CharTokenizer` uses an int based API to normalize and detect token characters. See `CharTokenizer.isTokenChar(int)` and `CharTokenizer.normalize(int)` for details.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`RussianLetterTokenizer(org.apache.lucene.util.AttributeSource.AttributeFactory factory, Reader in)` Deprecated. use `RussianLetterTokenizer(Version, AttributeSource.AttributeFactory, Reader)` instead. This will be removed in Lucene 4.0.
`RussianLetterTokenizer(org.apache.lucene.util.AttributeSource source, Reader in)` Deprecated. use `RussianLetterTokenizer(Version, AttributeSource, Reader)` instead. This will be removed in Lucene 4.0.
`RussianLetterTokenizer(Reader in)` Deprecated. use `RussianLetterTokenizer(Version, Reader)` instead. This will be removed in Lucene 4.0.
`RussianLetterTokenizer(org.apache.lucene.util.Version matchVersion, org.apache.lucene.util.AttributeSource.AttributeFactory factory, Reader in)` Deprecated. Construct a new RussianLetterTokenizer using a given `AttributeSource.AttributeFactory`.
`RussianLetterTokenizer(org.apache.lucene.util.Version matchVersion, org.apache.lucene.util.AttributeSource source, Reader in)` Deprecated. Construct a new RussianLetterTokenizer using a given `AttributeSource`.
`RussianLetterTokenizer(org.apache.lucene.util.Version matchVersion, Reader in)` Deprecated. Construct a new RussianLetterTokenizer.

Method Summary
`protected boolean` | `isTokenChar(int c)` Deprecated. Collects only characters which satisfy `Character.isLetter(int)`.

Methods inherited from class org.apache.lucene.analysis.CharTokenizer
`end, incrementToken, isTokenChar, normalize, normalize, reset`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close, correctOffset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RussianLetterTokenizer

    public RussianLetterTokenizer(org.apache.lucene.util.Version matchVersion,
                                  Reader in)

  Deprecated.
  Construct a new RussianLetterTokenizer. * @param matchVersion Lucene version to match See above

  Parameters:
    `in` - the input to split up into tokens

### RussianLetterTokenizer

    public RussianLetterTokenizer(org.apache.lucene.util.Version matchVersion,
                                  org.apache.lucene.util.AttributeSource source,
                                  Reader in)

  Deprecated.
  Construct a new RussianLetterTokenizer using a given `AttributeSource`.

  Parameters:
    `matchVersion` - Lucene version to match See above
    `source` - the attribute source to use for this `Tokenizer`
    `in` - the input to split up into tokens

### RussianLetterTokenizer

    public RussianLetterTokenizer(org.apache.lucene.util.Version matchVersion,
                                  org.apache.lucene.util.AttributeSource.AttributeFactory factory,
                                  Reader in)

  Deprecated.
  Construct a new RussianLetterTokenizer using a given `AttributeSource.AttributeFactory`. * @param matchVersion Lucene version to match See above

  Parameters:
    `factory` - the attribute factory to use for this `Tokenizer`
    `in` - the input to split up into tokens

### RussianLetterTokenizer

    @Deprecated
    public RussianLetterTokenizer(Reader in)

  Deprecated. use `RussianLetterTokenizer(Version, Reader)` instead. This will be removed in Lucene 4.0.

  Construct a new RussianLetterTokenizer.

### RussianLetterTokenizer

    @Deprecated
    public RussianLetterTokenizer(org.apache.lucene.util.AttributeSource source,
                                             Reader in)

  Deprecated. use `RussianLetterTokenizer(Version, AttributeSource, Reader)` instead. This will be removed in Lucene 4.0.

  Construct a new RussianLetterTokenizer using a given `AttributeSource`.

### RussianLetterTokenizer

    @Deprecated
    public RussianLetterTokenizer(org.apache.lucene.util.AttributeSource.AttributeFactory factory,
                                             Reader in)

  Deprecated. use `RussianLetterTokenizer(Version, AttributeSource.AttributeFactory, Reader)` instead. This will be removed in Lucene 4.0.

  Construct a new RussianLetterTokenizer using a given `AttributeSource.AttributeFactory`.

Method Detail

### isTokenChar

    protected boolean isTokenChar(int c)

  Deprecated.
  Collects only characters which satisfy `Character.isLetter(int)`.

  Overrides:
    `isTokenChar` in class `org.apache.lucene.analysis.CharTokenizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD